{ pkgs, hyprlandSettings, ... }:
let
  settings = import ../../settings.nix { inherit pkgs; };
in
{
  home.file = {
    ".config/nwg-drawer/drawer.css".text = ''
        window {
            background-color: ${settings.nord.polarNight.nord0}bf;
            color: ${settings.nord.snowStorm.nord5}00
        }

        /* search entry */
        entry {
            background-color: ${settings.nord.polarNight.nord1}0f
        }

        button, image {
            background: none;
            border: none
        }

        button:hover {
            background-color: ${settings.nord.frost.nord10}1a
        }

        /* in case you wanted to give category buttons a different look */
        #category-button {
            margin: 0 10px 0 10px
        }

        #pinned-box {
            padding-bottom: 5px;
            border-bottom: 1px dotted ${settings.nord.polarNight.nord3}
        }

        #files-box {
            padding: 5px;
            border: 1px dotted ${settings.nord.polarNight.nord3};
            border-radius: 15px
        }
    '';
  };
}